## org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.impl
Class SybaseasabasesqlmodelPackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.MinimalEObjectImpl
                  org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.impl.SybaseasabasesqlmodelPackageImpl

All Implemented Interfaces:
  SybaseasabasesqlmodelPackage, org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder

    public class SybaseasabasesqlmodelPackageImpl

extends org.eclipse.emf.ecore.impl.EPackageImpl
implements SybaseasabasesqlmodelPackage

An implementation of the model Package.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.SybaseasabasesqlmodelPackage
`SybaseasabasesqlmodelPackage.Literals`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from interface org.eclipse.datatools.enablement.sybase.asa.models.sybaseasabasesqlmodel.SybaseasabasesqlmodelPackage

`ALLOW_NULL_TYPE, eINSTANCE, eNAME, ENCRYPTION_INFO, ENCRYPTION_INFO__ALGORITHM, ENCRYPTION_INFO__ENCRYPTED_TABLE, ENCRYPTION_INFO__ENCRYPTION_KEY, ENCRYPTION_INFO_FEATURE_COUNT, eNS_PREFIX, eNS_URI, EVENT_CONDITION, EVENT_CONDITION__COMMENTS, EVENT_CONDITION__DEPENDENCIES, EVENT_CONDITION__DESCRIPTION, EVENT_CONDITION__EANNOTATIONS, EVENT_CONDITION__EVENT, EVENT_CONDITION__EXTENSIONS, EVENT_CONDITION__LABEL, EVENT_CONDITION__NAME, EVENT_CONDITION__OPERATOR, EVENT_CONDITION__PRIVILEGES, EVENT_CONDITION__VALUE, EVENT_CONDITION_FEATURE_COUNT, EVENT_LOCATION_TYPE, EVENT_TYPE, INTERVAL_UNIT_TYPE, JAVA_SUPPORT_TYPE, PARAMETER_TYPE, SCHEDULE, SCHEDULE__COMMENTS, SCHEDULE__DAYS_OF_MONTH, SCHEDULE__DAYS_OF_WEEK, SCHEDULE__DEPENDENCIES, SCHEDULE__DESCRIPTION, SCHEDULE__EANNOTATIONS, SCHEDULE__EVENT, SCHEDULE__EXTENSIONS, SCHEDULE__INTERVAL_MOUNT, SCHEDULE__INTERVAL_UNIT, SCHEDULE__LABEL, SCHEDULE__NAME, SCHEDULE__PRIVILEGES, SCHEDULE__RECURRING, SCHEDULE__START_DATE, SCHEDULE__START_TIME, SCHEDULE__STOP_TIME, SCHEDULE_FEATURE_COUNT, SYBASE_ASA_BASE_ACTION_TIME, SYBASE_ASA_BASE_COLUMN, SYBASE_ASA_BASE_COLUMN__COLUMN_CONSTRAINT, SYBASE_ASA_BASE_COLUMN__COMMENTS, SYBASE_ASA_BASE_COLUMN__CONTAINED_TYPE, SYBASE_ASA_BASE_COLUMN__DEFAULT_VALUE, SYBASE_ASA_BASE_COLUMN__DEPENDENCIES, SYBASE_ASA_BASE_COLUMN__DESCRIPTION, SYBASE_ASA_BASE_COLUMN__EANNOTATIONS, SYBASE_ASA_BASE_COLUMN__EXTENSIONS, SYBASE_ASA_BASE_COLUMN__GENERATE_EXPRESSION, SYBASE_ASA_BASE_COLUMN__IDENTITY_SPECIFIER, SYBASE_ASA_BASE_COLUMN__IMPLEMENTATION_DEPENDENT, SYBASE_ASA_BASE_COLUMN__IS_COMPUTED_COLUMN, SYBASE_ASA_BASE_COLUMN__LABEL, SYBASE_ASA_BASE_COLUMN__NAME, SYBASE_ASA_BASE_COLUMN__NULLABLE, SYBASE_ASA_BASE_COLUMN__PRIVILEGES, SYBASE_ASA_BASE_COLUMN__REFERENCED_TYPE, SYBASE_ASA_BASE_COLUMN__SCOPE_CHECK, SYBASE_ASA_BASE_COLUMN__SCOPE_CHECKED, SYBASE_ASA_BASE_COLUMN__TABLE, SYBASE_ASA_BASE_COLUMN__TYPE_OF_DEFAULT, SYBASE_ASA_BASE_COLUMN__UNIQUE, SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT, SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT__BASE_TABLE, SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT__COLUMN, SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT__COMMENTS, SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT__DEFERRABLE, SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT__DEPENDENCIES, SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT__DESCRIPTION, SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT__EANNOTATIONS, SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT__ENFORCED, SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT__EXTENSIONS, SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT__INITIALLY_DEFERRED, SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT__LABEL, SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT__NAME, SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT__PRIVILEGES, SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT__SEARCH_CONDITION, SYBASE_ASA_BASE_COLUMN_CHECK_CONSTRAINT_FEATURE_COUNT, SYBASE_ASA_BASE_COLUMN_FEATURE_COUNT, SYBASE_ASA_BASE_DATABASE, SYBASE_ASA_BASE_DATABASE__AUTHORIZATION_IDS, SYBASE_ASA_BASE_DATABASE__BLANK_PADDING_ON, SYBASE_ASA_BASE_DATABASE__CASE_SENSITIVE, SYBASE_ASA_BASE_DATABASE__CATALOGS, SYBASE_ASA_BASE_DATABASE__CHECK_SUM_ON, SYBASE_ASA_BASE_DATABASE__COLLATION, SYBASE_ASA_BASE_DATABASE__COMMENTS, SYBASE_ASA_BASE_DATABASE__DATA_TYPES, SYBASE_ASA_BASE_DATABASE__DATABASE_FILE_NAME, SYBASE_ASA_BASE_DATABASE__DB_SPACES, SYBASE_ASA_BASE_DATABASE__DEPENDENCIES, SYBASE_ASA_BASE_DATABASE__DESCRIPTION, SYBASE_ASA_BASE_DATABASE__EANNOTATIONS, SYBASE_ASA_BASE_DATABASE__ENCRYPTION_INFO, SYBASE_ASA_BASE_DATABASE__EVENTS, SYBASE_ASA_BASE_DATABASE__EXTENSIONS, SYBASE_ASA_BASE_DATABASE__JAVA_SUPPORT, SYBASE_ASA_BASE_DATABASE__JCONNECT_ON, SYBASE_ASA_BASE_DATABASE__LABEL, SYBASE_ASA_BASE_DATABASE__LOG_FILE_NAME, SYBASE_ASA_BASE_DATABASE__MIRROR_FILE_NAME, SYBASE_ASA_BASE_DATABASE__NAME, SYBASE_ASA_BASE_DATABASE__PAGE_SIZE, SYBASE_ASA_BASE_DATABASE__PASSWORD_CASE_SENSITIVE, SYBASE_ASA_BASE_DATABASE__PRIVILEGES, SYBASE_ASA_BASE_DATABASE__SCHEMAS, SYBASE_ASA_BASE_DATABASE__VENDOR, SYBASE_ASA_BASE_DATABASE__VERSION, SYBASE_ASA_BASE_DATABASE__WEB_SERVICES, SYBASE_ASA_BASE_DATABASE_FEATURE_COUNT, SYBASE_ASA_BASE_DB_SPACE, SYBASE_ASA_BASE_DB_SPACE__COMMENTS, SYBASE_ASA_BASE_DB_SPACE__DATABASE, SYBASE_ASA_BASE_DB_SPACE__DEPENDENCIES, SYBASE_ASA_BASE_DB_SPACE__DESCRIPTION, SYBASE_ASA_BASE_DB_SPACE__EANNOTATIONS, SYBASE_ASA_BASE_DB_SPACE__EXTENSIONS, SYBASE_ASA_BASE_DB_SPACE__FILE_NAME, SYBASE_ASA_BASE_DB_SPACE__LABEL, SYBASE_ASA_BASE_DB_SPACE__NAME, SYBASE_ASA_BASE_DB_SPACE__PRIVILEGES, SYBASE_ASA_BASE_DB_SPACE_FEATURE_COUNT, SYBASE_ASA_BASE_EVENT, SYBASE_ASA_BASE_EVENT__ACTION, SYBASE_ASA_BASE_EVENT__COMMENTS, SYBASE_ASA_BASE_EVENT__CONDITION, SYBASE_ASA_BASE_EVENT__CONDITION_DETAILS, SYBASE_ASA_BASE_EVENT__DATABASE, SYBASE_ASA_BASE_EVENT__DEPENDENCIES, SYBASE_ASA_BASE_EVENT__DESCRIPTION, SYBASE_ASA_BASE_EVENT__EANNOTATIONS, SYBASE_ASA_BASE_EVENT__ENABLED, SYBASE_ASA_BASE_EVENT__EVENT_CREATOR, SYBASE_ASA_BASE_EVENT__EVENT_TYPE, SYBASE_ASA_BASE_EVENT__EXTENSIONS, SYBASE_ASA_BASE_EVENT__FOR, SYBASE_ASA_BASE_EVENT__LABEL, SYBASE_ASA_BASE_EVENT__LOCATION, SYBASE_ASA_BASE_EVENT__NAME, SYBASE_ASA_BASE_EVENT__PRIVILEGES, SYBASE_ASA_BASE_EVENT__SCHEDULES, SYBASE_ASA_BASE_EVENT_FEATURE_COUNT, SYBASE_ASA_BASE_FOREIGN_KEY, SYBASE_ASA_BASE_FOREIGN_KEY__BASE_TABLE, SYBASE_ASA_BASE_FOREIGN_KEY__CLUSTERED, SYBASE_ASA_BASE_FOREIGN_KEY__COMMENTS, SYBASE_ASA_BASE_FOREIGN_KEY__DEFERRABLE, SYBASE_ASA_BASE_FOREIGN_KEY__DEPENDENCIES, SYBASE_ASA_BASE_FOREIGN_KEY__DESCRIPTION, SYBASE_ASA_BASE_FOREIGN_KEY__EANNOTATIONS, SYBASE_ASA_BASE_FOREIGN_KEY__ENFORCED, SYBASE_ASA_BASE_FOREIGN_KEY__EXTENSIONS, SYBASE_ASA_BASE_FOREIGN_KEY__INITIALLY_DEFERRED, SYBASE_ASA_BASE_FOREIGN_KEY__LABEL, SYBASE_ASA_BASE_FOREIGN_KEY__MATCH, SYBASE_ASA_BASE_FOREIGN_KEY__MEMBERS, SYBASE_ASA_BASE_FOREIGN_KEY__NAME, SYBASE_ASA_BASE_FOREIGN_KEY__ON_DELETE, SYBASE_ASA_BASE_FOREIGN_KEY__ON_UPDATE, SYBASE_ASA_BASE_FOREIGN_KEY__PRIVILEGES, SYBASE_ASA_BASE_FOREIGN_KEY__REFERENCED_MEMBERS, SYBASE_ASA_BASE_FOREIGN_KEY__REFERENCED_TABLE, SYBASE_ASA_BASE_FOREIGN_KEY__ROLE_NAME, SYBASE_ASA_BASE_FOREIGN_KEY__UNIQUE_CONSTRAINT, SYBASE_ASA_BASE_FOREIGN_KEY__UNIQUE_INDEX, SYBASE_ASA_BASE_FOREIGN_KEY_FEATURE_COUNT, SYBASE_ASA_BASE_FUNCTION, SYBASE_ASA_BASE_FUNCTION__AUTHORIZATION_ID, SYBASE_ASA_BASE_FUNCTION__COMMENTS, SYBASE_ASA_BASE_FUNCTION__CREATION_TS, SYBASE_ASA_BASE_FUNCTION__DEPENDENCIES, SYBASE_ASA_BASE_FUNCTION__DESCRIPTION, SYBASE_ASA_BASE_FUNCTION__DETERMINISTIC, SYBASE_ASA_BASE_FUNCTION__EANNOTATIONS, SYBASE_ASA_BASE_FUNCTION__EXTENSIONS, SYBASE_ASA_BASE_FUNCTION__EXTERNAL_NAME, SYBASE_ASA_BASE_FUNCTION__LABEL, SYBASE_ASA_BASE_FUNCTION__LANGUAGE, SYBASE_ASA_BASE_FUNCTION__LAST_ALTERED_TS, SYBASE_ASA_BASE_FUNCTION__MUTATOR, SYBASE_ASA_BASE_FUNCTION__NAME, SYBASE_ASA_BASE_FUNCTION__NULL_CALL, SYBASE_ASA_BASE_FUNCTION__ON_EXCEPTION_RESUME, SYBASE_ASA_BASE_FUNCTION__PARAMETER_STYLE, SYBASE_ASA_BASE_FUNCTION__PARAMETERS, SYBASE_ASA_BASE_FUNCTION__PRIVILEGES, SYBASE_ASA_BASE_FUNCTION__RETURN_CAST, SYBASE_ASA_BASE_FUNCTION__RETURN_SCALAR, SYBASE_ASA_BASE_FUNCTION__RETURN_TABLE, SYBASE_ASA_BASE_FUNCTION__SCHEMA, SYBASE_ASA_BASE_FUNCTION__SECURITY, SYBASE_ASA_BASE_FUNCTION__SOURCE, SYBASE_ASA_BASE_FUNCTION__SPECIFIC_NAME, SYBASE_ASA_BASE_FUNCTION__SQL_DATA_ACCESS, SYBASE_ASA_BASE_FUNCTION__STATIC, SYBASE_ASA_BASE_FUNCTION__TRANSFORM_GROUP, SYBASE_ASA_BASE_FUNCTION__TYPE_PRESERVING, SYBASE_ASA_BASE_FUNCTION_FEATURE_COUNT, SYBASE_ASA_BASE_GROUP, SYBASE_ASA_BASE_GROUP__COMMENTS, SYBASE_ASA_BASE_GROUP__DATABASE, SYBASE_ASA_BASE_GROUP__DEPENDENCIES, SYBASE_ASA_BASE_GROUP__DESCRIPTION, SYBASE_ASA_BASE_GROUP__EANNOTATIONS, SYBASE_ASA_BASE_GROUP__EXTENSIONS, SYBASE_ASA_BASE_GROUP__GRANTED_PRIVILEGE, SYBASE_ASA_BASE_GROUP__GRANTED_ROLE_AUTHORIZATION, SYBASE_ASA_BASE_GROUP__GROUP, SYBASE_ASA_BASE_GROUP__LABEL, SYBASE_ASA_BASE_GROUP__NAME, SYBASE_ASA_BASE_GROUP__OWNED_SCHEMA, SYBASE_ASA_BASE_GROUP__PRIVILEGES, SYBASE_ASA_BASE_GROUP__RECEIVED_PRIVILEGE, SYBASE_ASA_BASE_GROUP__RECEIVED_ROLE_AUTHORIZATION, SYBASE_ASA_BASE_GROUP__SQL_CONTAINER, SYBASE_ASA_BASE_GROUP__USER, SYBASE_ASA_BASE_GROUP_FEATURE_COUNT, SYBASE_ASA_BASE_INDEX, SYBASE_ASA_BASE_INDEX__CLUSTERED, SYBASE_ASA_BASE_INDEX__COMMENTS, SYBASE_ASA_BASE_INDEX__DB_SPACE, SYBASE_ASA_BASE_INDEX__DEPENDENCIES, SYBASE_ASA_BASE_INDEX__DESCRIPTION, SYBASE_ASA_BASE_INDEX__EANNOTATIONS, SYBASE_ASA_BASE_INDEX__EXTENSIONS, SYBASE_ASA_BASE_INDEX__FILL_FACTOR, SYBASE_ASA_BASE_INDEX__FOREIGN_KEY, SYBASE_ASA_BASE_INDEX__INCLUDED_MEMBERS, SYBASE_ASA_BASE_INDEX__LABEL, SYBASE_ASA_BASE_INDEX__MEMBERS, SYBASE_ASA_BASE_INDEX__NAME, SYBASE_ASA_BASE_INDEX__PRIVILEGES, SYBASE_ASA_BASE_INDEX__SCHEMA, SYBASE_ASA_BASE_INDEX__SYSTEM_GENERATED, SYBASE_ASA_BASE_INDEX__TABLE, SYBASE_ASA_BASE_INDEX__UNIQUE, SYBASE_ASA_BASE_INDEX_FEATURE_COUNT, SYBASE_ASA_BASE_PARAMETER, SYBASE_ASA_BASE_PARAMETER__COMMENTS, SYBASE_ASA_BASE_PARAMETER__CONTAINED_TYPE, SYBASE_ASA_BASE_PARAMETER__DEFAULT_VALUE, SYBASE_ASA_BASE_PARAMETER__DEPENDENCIES, SYBASE_ASA_BASE_PARAMETER__DESCRIPTION, SYBASE_ASA_BASE_PARAMETER__EANNOTATIONS, SYBASE_ASA_BASE_PARAMETER__EXTENSIONS, SYBASE_ASA_BASE_PARAMETER__JDBC_PARAMETER_TYPE, SYBASE_ASA_BASE_PARAMETER__LABEL, SYBASE_ASA_BASE_PARAMETER__LOCATOR, SYBASE_ASA_BASE_PARAMETER__MODE, SYBASE_ASA_BASE_PARAMETER__NAME, SYBASE_ASA_BASE_PARAMETER__NULLABLE, SYBASE_ASA_BASE_PARAMETER__PARM_TYPE, SYBASE_ASA_BASE_PARAMETER__PRIVILEGES, SYBASE_ASA_BASE_PARAMETER__REFERENCED_TYPE, SYBASE_ASA_BASE_PARAMETER__ROUTINE, SYBASE_ASA_BASE_PARAMETER__STRING_TYPE_OPTION, SYBASE_ASA_BASE_PARAMETER_FEATURE_COUNT, SYBASE_ASA_BASE_PREDEFINED_DATA_TYPE, SYBASE_ASA_BASE_PREDEFINED_DATA_TYPE__COMMENTS, SYBASE_ASA_BASE_PREDEFINED_DATA_TYPE__DATABASE, SYBASE_ASA_BASE_PREDEFINED_DATA_TYPE__DEPENDENCIES, SYBASE_ASA_BASE_PREDEFINED_DATA_TYPE__DESCRIPTION, SYBASE_ASA_BASE_PREDEFINED_DATA_TYPE__EANNOTATIONS, SYBASE_ASA_BASE_PREDEFINED_DATA_TYPE__EXTENSIONS, SYBASE_ASA_BASE_PREDEFINED_DATA_TYPE__LABEL, SYBASE_ASA_BASE_PREDEFINED_DATA_TYPE__NAME, SYBASE_ASA_BASE_PREDEFINED_DATA_TYPE__PRIMITIVE_TYPE, SYBASE_ASA_BASE_PREDEFINED_DATA_TYPE__PRIVILEGES, SYBASE_ASA_BASE_PREDEFINED_DATA_TYPE_FEATURE_COUNT, SYBASE_ASA_BASE_PRIMARY_KEY, SYBASE_ASA_BASE_PRIMARY_KEY__BASE_TABLE, SYBASE_ASA_BASE_PRIMARY_KEY__CLUSTERED, SYBASE_ASA_BASE_PRIMARY_KEY__COMMENTS, SYBASE_ASA_BASE_PRIMARY_KEY__DEFERRABLE, SYBASE_ASA_BASE_PRIMARY_KEY__DEPENDENCIES, SYBASE_ASA_BASE_PRIMARY_KEY__DESCRIPTION, SYBASE_ASA_BASE_PRIMARY_KEY__EANNOTATIONS, SYBASE_ASA_BASE_PRIMARY_KEY__ENFORCED, SYBASE_ASA_BASE_PRIMARY_KEY__EXTENSIONS, SYBASE_ASA_BASE_PRIMARY_KEY__FOREIGN_KEY, SYBASE_ASA_BASE_PRIMARY_KEY__INITIALLY_DEFERRED, SYBASE_ASA_BASE_PRIMARY_KEY__LABEL, SYBASE_ASA_BASE_PRIMARY_KEY__MEMBERS, SYBASE_ASA_BASE_PRIMARY_KEY__NAME, SYBASE_ASA_BASE_PRIMARY_KEY__PRIVILEGES, SYBASE_ASA_BASE_PRIMARY_KEY__SYSTEM_GEN_INDEX, SYBASE_ASA_BASE_PRIMARY_KEY_FEATURE_COUNT, SYBASE_ASA_BASE_PROCEDURE, SYBASE_ASA_BASE_PROCEDURE__AUTHORIZATION_ID, SYBASE_ASA_BASE_PROCEDURE__COMMENTS, SYBASE_ASA_BASE_PROCEDURE__CREATION_TS, SYBASE_ASA_BASE_PROCEDURE__DEPENDENCIES, SYBASE_ASA_BASE_PROCEDURE__DESCRIPTION, SYBASE_ASA_BASE_PROCEDURE__DETERMINISTIC, SYBASE_ASA_BASE_PROCEDURE__EANNOTATIONS, SYBASE_ASA_BASE_PROCEDURE__EXTENSIONS, SYBASE_ASA_BASE_PROCEDURE__EXTERNAL_NAME, SYBASE_ASA_BASE_PROCEDURE__LABEL, SYBASE_ASA_BASE_PROCEDURE__LANGUAGE, SYBASE_ASA_BASE_PROCEDURE__LAST_ALTERED_TS, SYBASE_ASA_BASE_PROCEDURE__MAX_RESULT_SETS, SYBASE_ASA_BASE_PROCEDURE__NAME, SYBASE_ASA_BASE_PROCEDURE__OLD_SAVE_POINT, SYBASE_ASA_BASE_PROCEDURE__ON_EXCEPTION_RESUME, SYBASE_ASA_BASE_PROCEDURE__PARAMETER_STYLE, SYBASE_ASA_BASE_PROCEDURE__PARAMETERS, SYBASE_ASA_BASE_PROCEDURE__PRIVILEGES, SYBASE_ASA_BASE_PROCEDURE__RESULT_SET, SYBASE_ASA_BASE_PROCEDURE__SCHEMA, SYBASE_ASA_BASE_PROCEDURE__SECURITY, SYBASE_ASA_BASE_PROCEDURE__SOURCE, SYBASE_ASA_BASE_PROCEDURE__SPECIFIC_NAME, SYBASE_ASA_BASE_PROCEDURE__SQL_DATA_ACCESS, SYBASE_ASA_BASE_PROCEDURE_FEATURE_COUNT, SYBASE_ASA_BASE_PROXY_TABLE, SYBASE_ASA_BASE_PROXY_TABLE__COLUMNS, SYBASE_ASA_BASE_PROXY_TABLE__COMMENTS, SYBASE_ASA_BASE_PROXY_TABLE__CONSTRAINTS, SYBASE_ASA_BASE_PROXY_TABLE__DB_SPACE, SYBASE_ASA_BASE_PROXY_TABLE__DEPENDENCIES, SYBASE_ASA_BASE_PROXY_TABLE__DESCRIPTION, SYBASE_ASA_BASE_PROXY_TABLE__EANNOTATIONS, SYBASE_ASA_BASE_PROXY_TABLE__EXISTING, SYBASE_ASA_BASE_PROXY_TABLE__EXTENSIONS, SYBASE_ASA_BASE_PROXY_TABLE__INDEX, SYBASE_ASA_BASE_PROXY_TABLE__INSERTABLE, SYBASE_ASA_BASE_PROXY_TABLE__LABEL, SYBASE_ASA_BASE_PROXY_TABLE__NAME, SYBASE_ASA_BASE_PROXY_TABLE__PRIVILEGES, SYBASE_ASA_BASE_PROXY_TABLE__REFERENCING_FOREIGN_KEYS, SYBASE_ASA_BASE_PROXY_TABLE__REMOTE_OBJECT_LOCATION, SYBASE_ASA_BASE_PROXY_TABLE__SCHEMA, SYBASE_ASA_BASE_PROXY_TABLE__SELF_REF_COLUMN_GENERATION, SYBASE_ASA_BASE_PROXY_TABLE__SUBTABLES, SYBASE_ASA_BASE_PROXY_TABLE__SUPERTABLE, SYBASE_ASA_BASE_PROXY_TABLE__TRIGGERS, SYBASE_ASA_BASE_PROXY_TABLE__UDT, SYBASE_ASA_BASE_PROXY_TABLE__UPDATABLE, SYBASE_ASA_BASE_PROXY_TABLE_FEATURE_COUNT, SYBASE_ASA_BASE_REMOTE_PROCEDURE, SYBASE_ASA_BASE_REMOTE_PROCEDURE__AUTHORIZATION_ID, SYBASE_ASA_BASE_REMOTE_PROCEDURE__COMMENTS, SYBASE_ASA_BASE_REMOTE_PROCEDURE__CREATION_TS, SYBASE_ASA_BASE_REMOTE_PROCEDURE__DEPENDENCIES, SYBASE_ASA_BASE_REMOTE_PROCEDURE__DESCRIPTION, SYBASE_ASA_BASE_REMOTE_PROCEDURE__DETERMINISTIC, SYBASE_ASA_BASE_REMOTE_PROCEDURE__EANNOTATIONS, SYBASE_ASA_BASE_REMOTE_PROCEDURE__EXTENSIONS, SYBASE_ASA_BASE_REMOTE_PROCEDURE__EXTERNAL_NAME, SYBASE_ASA_BASE_REMOTE_PROCEDURE__LABEL, SYBASE_ASA_BASE_REMOTE_PROCEDURE__LANGUAGE, SYBASE_ASA_BASE_REMOTE_PROCEDURE__LAST_ALTERED_TS, SYBASE_ASA_BASE_REMOTE_PROCEDURE__LOCATION, SYBASE_ASA_BASE_REMOTE_PROCEDURE__MAX_RESULT_SETS, SYBASE_ASA_BASE_REMOTE_PROCEDURE__NAME, SYBASE_ASA_BASE_REMOTE_PROCEDURE__OLD_SAVE_POINT, SYBASE_ASA_BASE_REMOTE_PROCEDURE__ON_EXCEPTION_RESUME, SYBASE_ASA_BASE_REMOTE_PROCEDURE__PARAMETER_STYLE, SYBASE_ASA_BASE_REMOTE_PROCEDURE__PARAMETERS, SYBASE_ASA_BASE_REMOTE_PROCEDURE__PRIVILEGES, SYBASE_ASA_BASE_REMOTE_PROCEDURE__RESULT_SET, SYBASE_ASA_BASE_REMOTE_PROCEDURE__SCHEMA, SYBASE_ASA_BASE_REMOTE_PROCEDURE__SECURITY, SYBASE_ASA_BASE_REMOTE_PROCEDURE__SOURCE, SYBASE_ASA_BASE_REMOTE_PROCEDURE__SPECIFIC_NAME, SYBASE_ASA_BASE_REMOTE_PROCEDURE__SQL_DATA_ACCESS, SYBASE_ASA_BASE_REMOTE_PROCEDURE_FEATURE_COUNT, SYBASE_ASA_BASE_SCHEMA, SYBASE_ASA_BASE_SCHEMA__ASSERTIONS, SYBASE_ASA_BASE_SCHEMA__CATALOG, SYBASE_ASA_BASE_SCHEMA__CHAR_SETS, SYBASE_ASA_BASE_SCHEMA__COMMENTS, SYBASE_ASA_BASE_SCHEMA__DATABASE, SYBASE_ASA_BASE_SCHEMA__DEPENDENCIES, SYBASE_ASA_BASE_SCHEMA__DESCRIPTION, SYBASE_ASA_BASE_SCHEMA__EANNOTATIONS, SYBASE_ASA_BASE_SCHEMA__EXTENSIONS, SYBASE_ASA_BASE_SCHEMA__INDICES, SYBASE_ASA_BASE_SCHEMA__LABEL, SYBASE_ASA_BASE_SCHEMA__NAME, SYBASE_ASA_BASE_SCHEMA__OWNER, SYBASE_ASA_BASE_SCHEMA__PRIVILEGES, SYBASE_ASA_BASE_SCHEMA__ROUTINES, SYBASE_ASA_BASE_SCHEMA__SEQUENCES, SYBASE_ASA_BASE_SCHEMA__TABLES, SYBASE_ASA_BASE_SCHEMA__TRIGGERS, SYBASE_ASA_BASE_SCHEMA__USER_DEFINED_TYPES, SYBASE_ASA_BASE_SCHEMA_FEATURE_COUNT, SYBASE_ASA_BASE_TABLE, SYBASE_ASA_BASE_TABLE__COLUMNS, SYBASE_ASA_BASE_TABLE__COMMENTS, SYBASE_ASA_BASE_TABLE__CONSTRAINTS, SYBASE_ASA_BASE_TABLE__DB_SPACE, SYBASE_ASA_BASE_TABLE__DEPENDENCIES, SYBASE_ASA_BASE_TABLE__DESCRIPTION, SYBASE_ASA_BASE_TABLE__EANNOTATIONS, SYBASE_ASA_BASE_TABLE__EXTENSIONS, SYBASE_ASA_BASE_TABLE__INDEX, SYBASE_ASA_BASE_TABLE__INSERTABLE, SYBASE_ASA_BASE_TABLE__LABEL, SYBASE_ASA_BASE_TABLE__NAME, SYBASE_ASA_BASE_TABLE__PRIVILEGES, SYBASE_ASA_BASE_TABLE__REFERENCING_FOREIGN_KEYS, SYBASE_ASA_BASE_TABLE__SCHEMA, SYBASE_ASA_BASE_TABLE__SELF_REF_COLUMN_GENERATION, SYBASE_ASA_BASE_TABLE__SUBTABLES, SYBASE_ASA_BASE_TABLE__SUPERTABLE, SYBASE_ASA_BASE_TABLE__TRIGGERS, SYBASE_ASA_BASE_TABLE__UDT, SYBASE_ASA_BASE_TABLE__UPDATABLE, SYBASE_ASA_BASE_TABLE_FEATURE_COUNT, SYBASE_ASA_BASE_TEMP_TABLE, SYBASE_ASA_BASE_TEMP_TABLE__COLUMNS, SYBASE_ASA_BASE_TEMP_TABLE__COMMENTS, SYBASE_ASA_BASE_TEMP_TABLE__CONSTRAINTS, SYBASE_ASA_BASE_TEMP_TABLE__DELETE_ON_COMMIT, SYBASE_ASA_BASE_TEMP_TABLE__DEPENDENCIES, SYBASE_ASA_BASE_TEMP_TABLE__DESCRIPTION, SYBASE_ASA_BASE_TEMP_TABLE__EANNOTATIONS, SYBASE_ASA_BASE_TEMP_TABLE__EXTENSIONS, SYBASE_ASA_BASE_TEMP_TABLE__INDEX, SYBASE_ASA_BASE_TEMP_TABLE__INSERTABLE, SYBASE_ASA_BASE_TEMP_TABLE__LABEL, SYBASE_ASA_BASE_TEMP_TABLE__LOCAL, SYBASE_ASA_BASE_TEMP_TABLE__NAME, SYBASE_ASA_BASE_TEMP_TABLE__PRIVILEGES, SYBASE_ASA_BASE_TEMP_TABLE__REFERENCING_FOREIGN_KEYS, SYBASE_ASA_BASE_TEMP_TABLE__SCHEMA, SYBASE_ASA_BASE_TEMP_TABLE__SELF_REF_COLUMN_GENERATION, SYBASE_ASA_BASE_TEMP_TABLE__SUBTABLES, SYBASE_ASA_BASE_TEMP_TABLE__SUPERTABLE, SYBASE_ASA_BASE_TEMP_TABLE__TRANSACTION_OPTION, SYBASE_ASA_BASE_TEMP_TABLE__TRIGGERS, SYBASE_ASA_BASE_TEMP_TABLE__UDT, SYBASE_ASA_BASE_TEMP_TABLE__UPDATABLE, SYBASE_ASA_BASE_TEMP_TABLE_FEATURE_COUNT, SYBASE_ASA_BASE_TRIGGER, SYBASE_ASA_BASE_TRIGGER__ACTION_GRANULARITY, SYBASE_ASA_BASE_TRIGGER__ACTION_STATEMENT, SYBASE_ASA_BASE_TRIGGER__ACTION_TIME, SYBASE_ASA_BASE_TRIGGER__COMMENTS, SYBASE_ASA_BASE_TRIGGER__DELETE_TYPE, SYBASE_ASA_BASE_TRIGGER__DEPENDENCIES, SYBASE_ASA_BASE_TRIGGER__DESCRIPTION, SYBASE_ASA_BASE_TRIGGER__EANNOTATIONS, SYBASE_ASA_BASE_TRIGGER__EXTENSIONS, SYBASE_ASA_BASE_TRIGGER__INSERT_TYPE, SYBASE_ASA_BASE_TRIGGER__LABEL, SYBASE_ASA_BASE_TRIGGER__NAME, SYBASE_ASA_BASE_TRIGGER__NEW_ROW, SYBASE_ASA_BASE_TRIGGER__NEW_TABLE, SYBASE_ASA_BASE_TRIGGER__OLD_ROW, SYBASE_ASA_BASE_TRIGGER__OLD_TABLE, SYBASE_ASA_BASE_TRIGGER__ORDER, SYBASE_ASA_BASE_TRIGGER__PRIVILEGES, SYBASE_ASA_BASE_TRIGGER__REMOTE_NAME, SYBASE_ASA_BASE_TRIGGER__SCHEMA, SYBASE_ASA_BASE_TRIGGER__SUBJECT_TABLE, SYBASE_ASA_BASE_TRIGGER__SYBASE_ASA_BASE_ACTION_TIME, SYBASE_ASA_BASE_TRIGGER__TIME_STAMP, SYBASE_ASA_BASE_TRIGGER__TRIGGER_COLUMN, SYBASE_ASA_BASE_TRIGGER__UPDATE_COLUMN_TYPE, SYBASE_ASA_BASE_TRIGGER__UPDATE_TYPE, SYBASE_ASA_BASE_TRIGGER__WHEN, SYBASE_ASA_BASE_TRIGGER_FEATURE_COUNT, SYBASE_ASA_BASE_UNIQUE_CONSTRAINT, SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__BASE_TABLE, SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__CLUSTERED, SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__COMMENTS, SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__DEFERRABLE, SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__DEPENDENCIES, SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__DESCRIPTION, SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__EANNOTATIONS, SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__ENFORCED, SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__EXTENSIONS, SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__FOREIGN_KEY, SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__INITIALLY_DEFERRED, SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__LABEL, SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__MEMBERS, SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__NAME, SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__PRIVILEGES, SYBASE_ASA_BASE_UNIQUE_CONSTRAINT__SYSTEM_GEN_INDEX, SYBASE_ASA_BASE_UNIQUE_CONSTRAINT_FEATURE_COUNT, SYBASE_ASA_BASE_USER, SYBASE_ASA_BASE_USER__COMMENTS, SYBASE_ASA_BASE_USER__DATABASE, SYBASE_ASA_BASE_USER__DEPENDENCIES, SYBASE_ASA_BASE_USER__DESCRIPTION, SYBASE_ASA_BASE_USER__EANNOTATIONS, SYBASE_ASA_BASE_USER__EXTENSIONS, SYBASE_ASA_BASE_USER__GRANTED_PRIVILEGE, SYBASE_ASA_BASE_USER__GRANTED_ROLE_AUTHORIZATION, SYBASE_ASA_BASE_USER__GROUP, SYBASE_ASA_BASE_USER__LABEL, SYBASE_ASA_BASE_USER__NAME, SYBASE_ASA_BASE_USER__OWNED_SCHEMA, SYBASE_ASA_BASE_USER__PRIVILEGES, SYBASE_ASA_BASE_USER__RECEIVED_PRIVILEGE, SYBASE_ASA_BASE_USER__RECEIVED_ROLE_AUTHORIZATION, SYBASE_ASA_BASE_USER__SQL_CONTAINER, SYBASE_ASA_BASE_USER_DEFINED_TYPE, SYBASE_ASA_BASE_USER_DEFINED_TYPE__COMMENTS, SYBASE_ASA_BASE_USER_DEFINED_TYPE__CONSTRAINT, SYBASE_ASA_BASE_USER_DEFINED_TYPE__DEFAULT_TYPE, SYBASE_ASA_BASE_USER_DEFINED_TYPE__DEFAULT_VALUE, SYBASE_ASA_BASE_USER_DEFINED_TYPE__DEPENDENCIES, SYBASE_ASA_BASE_USER_DEFINED_TYPE__DESCRIPTION, SYBASE_ASA_BASE_USER_DEFINED_TYPE__EANNOTATIONS, SYBASE_ASA_BASE_USER_DEFINED_TYPE__EXTENSIONS, SYBASE_ASA_BASE_USER_DEFINED_TYPE__LABEL, SYBASE_ASA_BASE_USER_DEFINED_TYPE__NAME, SYBASE_ASA_BASE_USER_DEFINED_TYPE__NULLABLE, SYBASE_ASA_BASE_USER_DEFINED_TYPE__ORDERING, SYBASE_ASA_BASE_USER_DEFINED_TYPE__PREDEFINED_REPRESENTATION, SYBASE_ASA_BASE_USER_DEFINED_TYPE__PRIVILEGES, SYBASE_ASA_BASE_USER_DEFINED_TYPE__SCHEMA, SYBASE_ASA_BASE_USER_DEFINED_TYPE_FEATURE_COUNT, SYBASE_ASA_BASE_USER_FEATURE_COUNT, SYBASE_ASA_BASE_VIEW_TABLE, SYBASE_ASA_BASE_VIEW_TABLE__CHECK_TYPE, SYBASE_ASA_BASE_VIEW_TABLE__COLUMNS, SYBASE_ASA_BASE_VIEW_TABLE__COMMENTS, SYBASE_ASA_BASE_VIEW_TABLE__DEPENDENCIES, SYBASE_ASA_BASE_VIEW_TABLE__DESCRIPTION, SYBASE_ASA_BASE_VIEW_TABLE__EANNOTATIONS, SYBASE_ASA_BASE_VIEW_TABLE__EXTENSIONS, SYBASE_ASA_BASE_VIEW_TABLE__INDEX, SYBASE_ASA_BASE_VIEW_TABLE__INSERTABLE, SYBASE_ASA_BASE_VIEW_TABLE__LABEL, SYBASE_ASA_BASE_VIEW_TABLE__NAME, SYBASE_ASA_BASE_VIEW_TABLE__PRIVILEGES, SYBASE_ASA_BASE_VIEW_TABLE__QUERY_EXPRESSION, SYBASE_ASA_BASE_VIEW_TABLE__SCHEMA, SYBASE_ASA_BASE_VIEW_TABLE__SELF_REF_COLUMN_GENERATION, SYBASE_ASA_BASE_VIEW_TABLE__STATEMENT, SYBASE_ASA_BASE_VIEW_TABLE__SUBTABLES, SYBASE_ASA_BASE_VIEW_TABLE__SUPERTABLE, SYBASE_ASA_BASE_VIEW_TABLE__TRIGGERS, SYBASE_ASA_BASE_VIEW_TABLE__UDT, SYBASE_ASA_BASE_VIEW_TABLE__UPDATABLE, SYBASE_ASA_BASE_VIEW_TABLE__WITH_CHECK_OPTION, SYBASE_ASA_BASE_VIEW_TABLE_FEATURE_COUNT, SYBASE_ASA_DEFAULT_WRAPPER, SYBASE_ASA_DEFAULT_WRAPPER__IS_LITERAL, SYBASE_ASA_DEFAULT_WRAPPER__PARTITION_SIZE, SYBASE_ASA_DEFAULT_WRAPPER__TYPE, SYBASE_ASA_DEFAULT_WRAPPER__VALUE, SYBASE_ASA_DEFAULT_WRAPPER_FEATURE_COUNT, SYBASE_ASA_WEB_SERVICE, SYBASE_ASA_WEB_SERVICE__AUTH_REQUIRED, SYBASE_ASA_WEB_SERVICE__COMMENTS, SYBASE_ASA_WEB_SERVICE__DATABASE, SYBASE_ASA_WEB_SERVICE__DEPENDENCIES, SYBASE_ASA_WEB_SERVICE__DESCRIPTION, SYBASE_ASA_WEB_SERVICE__EANNOTATIONS, SYBASE_ASA_WEB_SERVICE__EXTENSIONS, SYBASE_ASA_WEB_SERVICE__LABEL, SYBASE_ASA_WEB_SERVICE__NAME, SYBASE_ASA_WEB_SERVICE__PARAMETER, SYBASE_ASA_WEB_SERVICE__PRIVILEGES, SYBASE_ASA_WEB_SERVICE__SECURE_REQUIRED, SYBASE_ASA_WEB_SERVICE__SERVICE_ID, SYBASE_ASA_WEB_SERVICE__SERVICE_TYPE, SYBASE_ASA_WEB_SERVICE__STATEMENT, SYBASE_ASA_WEB_SERVICE__URL_PATH, SYBASE_ASA_WEB_SERVICE__USER_NAME, SYBASE_ASA_WEB_SERVICE_FEATURE_COUNT, SYSTEM_DEFINED_DEFAULT_TYPE, TRANSACTION_OPTION, TYPE_OF_DEFAULT`

Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder
`NIL`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`void` `createPackageContents()` Creates the meta-model objects for the package.
`org.eclipse.emf.ecore.EEnum` `getAllowNullType()`
`org.eclipse.emf.ecore.EAttribute` `getEncryptionInfo_Algorithm()`
`org.eclipse.emf.ecore.EAttribute` `getEncryptionInfo_EncryptedTable()`
`org.eclipse.emf.ecore.EAttribute` `getEncryptionInfo_EncryptionKey()`
`org.eclipse.emf.ecore.EClass` `getEncryptionInfo()`
`org.eclipse.emf.ecore.EReference` `getEventCondition_Event()`
`org.eclipse.emf.ecore.EAttribute` `getEventCondition_Operator()`
`org.eclipse.emf.ecore.EAttribute` `getEventCondition_Value()`
`org.eclipse.emf.ecore.EClass` `getEventCondition()`
`org.eclipse.emf.ecore.EEnum` `getEventLocationType()`
`org.eclipse.emf.ecore.EEnum` `getEventType()`
`org.eclipse.emf.ecore.EEnum` `getIntervalUnitType()`
`org.eclipse.emf.ecore.EEnum` `getJavaSupportType()`
`org.eclipse.emf.ecore.EEnum` `getParameterType()`
`org.eclipse.emf.ecore.EAttribute` `getSchedule_DaysOfMonth()`
`org.eclipse.emf.ecore.EAttribute` `getSchedule_DaysOfWeek()`
`org.eclipse.emf.ecore.EReference` `getSchedule_Event()`
`org.eclipse.emf.ecore.EAttribute` `getSchedule_IntervalMount()`
`org.eclipse.emf.ecore.EAttribute` `getSchedule_IntervalUnit()`
`org.eclipse.emf.ecore.EAttribute` `getSchedule_Recurring()`
`org.eclipse.emf.ecore.EAttribute` `getSchedule_StartDate()`
`org.eclipse.emf.ecore.EAttribute` `getSchedule_StartTime()`
`org.eclipse.emf.ecore.EAttribute` `getSchedule_StopTime()`
`org.eclipse.emf.ecore.EClass` `getSchedule()`
`org.eclipse.emf.ecore.EEnum` `getSybaseASABaseActionTime()`
`org.eclipse.emf.ecore.EReference` `getSybaseASABaseColumn_ColumnConstraint()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseColumn_IsComputedColumn()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseColumn_TypeOfDefault()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseColumn_Unique()`
`org.eclipse.emf.ecore.EClass` `getSybaseASABaseColumn()`
`org.eclipse.emf.ecore.EReference` `getSybaseASABaseColumnCheckConstraint_Column()`
`org.eclipse.emf.ecore.EClass` `getSybaseASABaseColumnCheckConstraint()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseDatabase_BlankPaddingOn()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseDatabase_CaseSensitive()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseDatabase_CheckSumOn()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseDatabase_Collation()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseDatabase_DatabaseFileName()`
`org.eclipse.emf.ecore.EReference` `getSybaseASABaseDatabase_DataTypes()`
`org.eclipse.emf.ecore.EReference` `getSybaseASABaseDatabase_DbSpaces()`
`org.eclipse.emf.ecore.EReference` `getSybaseASABaseDatabase_EncryptionInfo()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseDatabase_JavaSupport()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseDatabase_JConnectOn()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseDatabase_LogFileName()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseDatabase_MirrorFileName()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseDatabase_PageSize()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseDatabase_PasswordCaseSensitive()`
`org.eclipse.emf.ecore.EReference` `getSybaseASABaseDatabase_WebServices()`
`org.eclipse.emf.ecore.EClass` `getSybaseASABaseDatabase()`
`org.eclipse.emf.ecore.EReference` `getSybaseASABaseDBSpace_Database()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseDBSpace_FileName()`
`org.eclipse.emf.ecore.EClass` `getSybaseASABaseDBSpace()`
`org.eclipse.emf.ecore.EReference` `getSybaseASABaseEvent_ConditionDetails()`
`org.eclipse.emf.ecore.EReference` `getSybaseASABaseEvent_EventCreator()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseEvent_EventType()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseEvent_Location()`
`org.eclipse.emf.ecore.EReference` `getSybaseASABaseEvent_Schedules()`
`org.eclipse.emf.ecore.EClass` `getSybaseASABaseEvent()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseForeignKey_Clustered()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseForeignKey_RoleName()`
`org.eclipse.emf.ecore.EClass` `getSybaseASABaseForeignKey()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseFunction_OnExceptionResume()`
`org.eclipse.emf.ecore.EClass` `getSybaseASABaseFunction()`
`org.eclipse.emf.ecore.EClass` `getSybaseASABaseGroup()`
`org.eclipse.emf.ecore.EReference` `getSybaseASABaseIndex_DbSpace()`
`org.eclipse.emf.ecore.EClass` `getSybaseASABaseIndex()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseParameter_ParmType()`
`org.eclipse.emf.ecore.EClass` `getSybaseASABaseParameter()`
`org.eclipse.emf.ecore.EReference` `getSybaseASABasePredefinedDataType_Database()`
`org.eclipse.emf.ecore.EClass` `getSybaseASABasePredefinedDataType()`
`org.eclipse.emf.ecore.EClass` `getSybaseASABasePrimaryKey()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseProcedure_OnExceptionResume()`
`org.eclipse.emf.ecore.EClass` `getSybaseASABaseProcedure()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseProxyTable_Existing()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseProxyTable_RemoteObjectLocation()`
`org.eclipse.emf.ecore.EClass` `getSybaseASABaseProxyTable()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseRemoteProcedure_Location()`
`org.eclipse.emf.ecore.EClass` `getSybaseASABaseRemoteProcedure()`
`org.eclipse.emf.ecore.EClass` `getSybaseASABaseSchema()`
`SybaseasabasesqlmodelFactory` `getSybaseasabasesqlmodelFactory()`
`org.eclipse.emf.ecore.EReference` `getSybaseASABaseTable_DbSpace()`
`org.eclipse.emf.ecore.EClass` `getSybaseASABaseTable()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseTempTable_TransactionOption()`
`org.eclipse.emf.ecore.EClass` `getSybaseASABaseTempTable()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseTrigger_Order()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseTrigger_RemoteName()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseTrigger_SybaseASABaseActionTime()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseTrigger_UpdateColumnType()`
`org.eclipse.emf.ecore.EClass` `getSybaseASABaseTrigger()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseUniqueConstraint_Clustered()`
`org.eclipse.emf.ecore.EReference` `getSybaseASABaseUniqueConstraint_SystemGenIndex()`
`org.eclipse.emf.ecore.EClass` `getSybaseASABaseUniqueConstraint()`
`org.eclipse.emf.ecore.EClass` `getSybaseASABaseUser()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseUserDefinedType_DefaultType()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseUserDefinedType_Nullable()`
`org.eclipse.emf.ecore.EClass` `getSybaseASABaseUserDefinedType()`
`org.eclipse.emf.ecore.EReference` `getSybaseASABaseViewTable_Statement()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASABaseViewTable_WithCheckOption()`
`org.eclipse.emf.ecore.EClass` `getSybaseASABaseViewTable()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASADefaultWrapper_IsLiteral()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASADefaultWrapper_PartitionSize()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASADefaultWrapper_Type()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASADefaultWrapper_Value()`
`org.eclipse.emf.ecore.EClass` `getSybaseASADefaultWrapper()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASAWebService_Auth_required()`
`org.eclipse.emf.ecore.EReference` `getSybaseASAWebService_Database()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASAWebService_Parameter()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASAWebService_Secure_required()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASAWebService_Service_id()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASAWebService_Service_type()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASAWebService_Statement()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASAWebService_Url_path()`
`org.eclipse.emf.ecore.EAttribute` `getSybaseASAWebService_User_name()`
`org.eclipse.emf.ecore.EClass` `getSybaseASAWebService()`
`org.eclipse.emf.ecore.EEnum` `getSystemDefinedDefaultType()`
`org.eclipse.emf.ecore.EEnum` `getTransactionOption()`
`org.eclipse.emf.ecore.EEnum` `getTypeOfDefault()`
`static SybaseasabasesqlmodelPackage` `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`basicGetESuperPackage, basicSetEFactoryInstance, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eUnset, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, setEFactoryInstance, setExtendedMetaData, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`eContents, eCrossReferences, getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eURIFragmentSegment, getEAnnotation, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
`eInternalContainer`

Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl
`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### init

    public static SybaseasabasesqlmodelPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends. Simple dependencies are satisfied by calling this method on all dependent packages before doing anything else. This method drives initialization for interdependent packages directly, in parallel with this package, itself.

  Of this package and its interdependencies, all packages which have not yet been registered by their URI values are first created and registered. The packages are then initialized in two steps: meta-model objects for all of the packages are created before any are initialized, since one package's meta-model objects may refer to those of another.

  Invocation of this method will not affect any packages that have already been initialized.

  See Also:
    `SybaseasabasesqlmodelPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getSybaseASABaseEvent

    public org.eclipse.emf.ecore.EClass getSybaseASABaseEvent()

  Specified by:
    `getSybaseASABaseEvent` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase ASA Base Event'.
  See Also:
    `SybaseASABaseEvent`

### getSybaseASABaseEvent_EventType

    public org.eclipse.emf.ecore.EAttribute getSybaseASABaseEvent_EventType()

  Specified by:
    `getSybaseASABaseEvent_EventType` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Event Type'.
  See Also:
    `SybaseASABaseEvent.getEventType()`, `SybaseasabasesqlmodelPackage.getSybaseASABaseEvent()`

### getSybaseASABaseEvent_EventCreator

    public org.eclipse.emf.ecore.EReference getSybaseASABaseEvent_EventCreator()

  Specified by:
    `getSybaseASABaseEvent_EventCreator` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the reference 'Event Creator'.
  See Also:
    `SybaseASABaseEvent.getEventCreator()`, `SybaseasabasesqlmodelPackage.getSybaseASABaseEvent()`

### getSybaseASABaseEvent_Location

    public org.eclipse.emf.ecore.EAttribute getSybaseASABaseEvent_Location()

  Specified by:
    `getSybaseASABaseEvent_Location` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Location'.
  See Also:
    `SybaseASABaseEvent.getLocation()`, `SybaseasabasesqlmodelPackage.getSybaseASABaseEvent()`

### getSybaseASABaseEvent_Schedules

    public org.eclipse.emf.ecore.EReference getSybaseASABaseEvent_Schedules()

  Specified by:
    `getSybaseASABaseEvent_Schedules` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the containment reference list 'Schedules'.
  See Also:
    `SybaseASABaseEvent.getSchedules()`, `SybaseasabasesqlmodelPackage.getSybaseASABaseEvent()`

### getSybaseASABaseEvent_ConditionDetails

    public org.eclipse.emf.ecore.EReference getSybaseASABaseEvent_ConditionDetails()

  Specified by:
    `getSybaseASABaseEvent_ConditionDetails` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the containment reference list 'Condition Details'.
  See Also:
    `SybaseASABaseEvent.getConditionDetails()`, `SybaseasabasesqlmodelPackage.getSybaseASABaseEvent()`

### getSybaseASABaseDatabase

    public org.eclipse.emf.ecore.EClass getSybaseASABaseDatabase()

  Specified by:
    `getSybaseASABaseDatabase` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase ASA Base Database'.
  See Also:
    `SybaseASABaseDatabase`

### getSybaseASABaseDatabase_DataTypes

    public org.eclipse.emf.ecore.EReference getSybaseASABaseDatabase_DataTypes()

  Specified by:
    `getSybaseASABaseDatabase_DataTypes` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the reference list 'Data Types'.
  See Also:
    `SybaseASABaseDatabase.getDataTypes()`, `SybaseasabasesqlmodelPackage.getSybaseASABaseDatabase()`

### getSybaseASABaseDatabase_WebServices

    public org.eclipse.emf.ecore.EReference getSybaseASABaseDatabase_WebServices()

  Specified by:
    `getSybaseASABaseDatabase_WebServices` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the reference list 'Web Services'.
  See Also:
    `SybaseASABaseDatabase.getWebServices()`, `SybaseasabasesqlmodelPackage.getSybaseASABaseDatabase()`

### getSybaseASABaseDatabase_DbSpaces

    public org.eclipse.emf.ecore.EReference getSybaseASABaseDatabase_DbSpaces()

  Specified by:
    `getSybaseASABaseDatabase_DbSpaces` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the containment reference list 'Db Spaces'.
  See Also:
    `SybaseASABaseDatabase.getDbSpaces()`, `SybaseasabasesqlmodelPackage.getSybaseASABaseDatabase()`

### getSybaseASABaseDatabase_DatabaseFileName

    public org.eclipse.emf.ecore.EAttribute getSybaseASABaseDatabase_DatabaseFileName()

  Specified by:
    `getSybaseASABaseDatabase_DatabaseFileName` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Database File Name'.
  See Also:
    `SybaseASABaseDatabase.getDatabaseFileName()`, `SybaseasabasesqlmodelPackage.getSybaseASABaseDatabase()`

### getSybaseASABaseDatabase_LogFileName

    public org.eclipse.emf.ecore.EAttribute getSybaseASABaseDatabase_LogFileName()

  Specified by:
    `getSybaseASABaseDatabase_LogFileName` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Log File Name'.
  See Also:
    `SybaseASABaseDatabase.getLogFileName()`, `SybaseasabasesqlmodelPackage.getSybaseASABaseDatabase()`

### getSybaseASABaseDatabase_MirrorFileName

    public org.eclipse.emf.ecore.EAttribute getSybaseASABaseDatabase_MirrorFileName()

  Specified by:
    `getSybaseASABaseDatabase_MirrorFileName` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Mirror File Name'.
  See Also:
    `SybaseASABaseDatabase.getMirrorFileName()`, `SybaseasabasesqlmodelPackage.getSybaseASABaseDatabase()`

### getSybaseASABaseDatabase_CaseSensitive

    public org.eclipse.emf.ecore.EAttribute getSybaseASABaseDatabase_CaseSensitive()

  Specified by:
    `getSybaseASABaseDatabase_CaseSensitive` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Case Sensitive'.
  See Also:
    `SybaseASABaseDatabase.isCaseSensitive()`, `SybaseasabasesqlmodelPackage.getSybaseASABaseDatabase()`

### getSybaseASABaseDatabase_Collation

    public org.eclipse.emf.ecore.EAttribute getSybaseASABaseDatabase_Collation()

  Specified by:
    `getSybaseASABaseDatabase_Collation` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Collation'.
  See Also:
    `SybaseASABaseDatabase.getCollation()`, `SybaseasabasesqlmodelPackage.getSybaseASABaseDatabase()`

### getSybaseASABaseDatabase_BlankPaddingOn

    public org.eclipse.emf.ecore.EAttribute getSybaseASABaseDatabase_BlankPaddingOn()

  Specified by:
    `getSybaseASABaseDatabase_BlankPaddingOn` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Blank Padding On'.
  See Also:
    `SybaseASABaseDatabase.isBlankPaddingOn()`, `SybaseasabasesqlmodelPackage.getSybaseASABaseDatabase()`

### getSybaseASABaseDatabase_CheckSumOn

    public org.eclipse.emf.ecore.EAttribute getSybaseASABaseDatabase_CheckSumOn()

  Specified by:
    `getSybaseASABaseDatabase_CheckSumOn` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Check Sum On'.
  See Also:
    `SybaseASABaseDatabase.isCheckSumOn()`, `SybaseasabasesqlmodelPackage.getSybaseASABaseDatabase()`

### getSybaseASABaseDatabase_JConnectOn

    public org.eclipse.emf.ecore.EAttribute getSybaseASABaseDatabase_JConnectOn()

  Specified by:
    `getSybaseASABaseDatabase_JConnectOn` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'JConnect On'.
  See Also:
    `SybaseASABaseDatabase.isJConnectOn()`, `SybaseasabasesqlmodelPackage.getSybaseASABaseDatabase()`

### getSybaseASABaseDatabase_PageSize

    public org.eclipse.emf.ecore.EAttribute getSybaseASABaseDatabase_PageSize()

  Specified by:
    `getSybaseASABaseDatabase_PageSize` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Page Size'.
  See Also:
    `SybaseASABaseDatabase.getPageSize()`, `SybaseasabasesqlmodelPackage.getSybaseASABaseDatabase()`

### getSybaseASABaseDatabase_EncryptionInfo

    public org.eclipse.emf.ecore.EReference getSybaseASABaseDatabase_EncryptionInfo()

  Specified by:
    `getSybaseASABaseDatabase_EncryptionInfo` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the reference 'Encryption Info'.
  See Also:
    `SybaseASABaseDatabase.getEncryptionInfo()`, `SybaseasabasesqlmodelPackage.getSybaseASABaseDatabase()`

### getSybaseASABaseDatabase_JavaSupport

    public org.eclipse.emf.ecore.EAttribute getSybaseASABaseDatabase_JavaSupport()

  Specified by:
    `getSybaseASABaseDatabase_JavaSupport` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Java Support'.
  See Also:
    `SybaseASABaseDatabase.getJavaSupport()`, `SybaseasabasesqlmodelPackage.getSybaseASABaseDatabase()`

### getSybaseASABaseDatabase_PasswordCaseSensitive

    public org.eclipse.emf.ecore.EAttribute getSybaseASABaseDatabase_PasswordCaseSensitive()

  Specified by:
    `getSybaseASABaseDatabase_PasswordCaseSensitive` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Password Case Sensitive'.
  See Also:
    `SybaseASABaseDatabase.getPasswordCaseSensitive()`, `SybaseasabasesqlmodelPackage.getSybaseASABaseDatabase()`

### getSybaseASAWebService

    public org.eclipse.emf.ecore.EClass getSybaseASAWebService()

  Specified by:
    `getSybaseASAWebService` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase ASA Web Service'.
  See Also:
    `SybaseASAWebService`

### getSybaseASAWebService_Service_id

    public org.eclipse.emf.ecore.EAttribute getSybaseASAWebService_Service_id()

  Specified by:
    `getSybaseASAWebService_Service_id` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Service id'.
  See Also:
    `SybaseASAWebService.getService_id()`, `SybaseasabasesqlmodelPackage.getSybaseASAWebService()`

### getSybaseASAWebService_Service_type

    public org.eclipse.emf.ecore.EAttribute getSybaseASAWebService_Service_type()

  Specified by:
    `getSybaseASAWebService_Service_type` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Service type'.
  See Also:
    `SybaseASAWebService.getService_type()`, `SybaseasabasesqlmodelPackage.getSybaseASAWebService()`

### getSybaseASAWebService_Auth_required

    public org.eclipse.emf.ecore.EAttribute getSybaseASAWebService_Auth_required()

  Specified by:
    `getSybaseASAWebService_Auth_required` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Auth required'.
  See Also:
    `SybaseASAWebService.getAuth_required()`, `SybaseasabasesqlmodelPackage.getSybaseASAWebService()`

### getSybaseASAWebService_Secure_required

    public org.eclipse.emf.ecore.EAttribute getSybaseASAWebService_Secure_required()

  Specified by:
    `getSybaseASAWebService_Secure_required` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Secure required'.
  See Also:
    `SybaseASAWebService.getSecure_required()`, `SybaseasabasesqlmodelPackage.getSybaseASAWebService()`

### getSybaseASAWebService_Url_path

    public org.eclipse.emf.ecore.EAttribute getSybaseASAWebService_Url_path()

  Specified by:
    `getSybaseASAWebService_Url_path` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Url path'.
  See Also:
    `SybaseASAWebService.getUrl_path()`, `SybaseasabasesqlmodelPackage.getSybaseASAWebService()`

### getSybaseASAWebService_User_name

    public org.eclipse.emf.ecore.EAttribute getSybaseASAWebService_User_name()

  Specified by:
    `getSybaseASAWebService_User_name` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'User name'.
  See Also:
    `SybaseASAWebService.getUser_name()`, `SybaseasabasesqlmodelPackage.getSybaseASAWebService()`

### getSybaseASAWebService_Parameter

    public org.eclipse.emf.ecore.EAttribute getSybaseASAWebService_Parameter()

  Specified by:
    `getSybaseASAWebService_Parameter` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Parameter'.
  See Also:
    `SybaseASAWebService.getParameter()`, `SybaseasabasesqlmodelPackage.getSybaseASAWebService()`

### getSybaseASAWebService_Statement

    public org.eclipse.emf.ecore.EAttribute getSybaseASAWebService_Statement()

  Specified by:
    `getSybaseASAWebService_Statement` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Statement'.
  See Also:
    `SybaseASAWebService.getStatement()`, `SybaseasabasesqlmodelPackage.getSybaseASAWebService()`

### getSybaseASAWebService_Database

    public org.eclipse.emf.ecore.EReference getSybaseASAWebService_Database()

  Specified by:
    `getSybaseASAWebService_Database` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the reference 'Database'.
  See Also:
    `SybaseASAWebService.getDatabase()`, `SybaseasabasesqlmodelPackage.getSybaseASAWebService()`

### getEncryptionInfo

    public org.eclipse.emf.ecore.EClass getEncryptionInfo()

  Specified by:
    `getEncryptionInfo` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for class 'Encryption Info'.
  See Also:
    `EncryptionInfo`

### getEncryptionInfo_EncryptedTable

    public org.eclipse.emf.ecore.EAttribute getEncryptionInfo_EncryptedTable()

  Specified by:
    `getEncryptionInfo_EncryptedTable` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Encrypted Table'.
  See Also:
    `EncryptionInfo.isEncryptedTable()`, `SybaseasabasesqlmodelPackage.getEncryptionInfo()`

### getEncryptionInfo_EncryptionKey

    public org.eclipse.emf.ecore.EAttribute getEncryptionInfo_EncryptionKey()

  Specified by:
    `getEncryptionInfo_EncryptionKey` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Encryption Key'.
  See Also:
    `EncryptionInfo.getEncryptionKey()`, `SybaseasabasesqlmodelPackage.getEncryptionInfo()`

### getEncryptionInfo_Algorithm

    public org.eclipse.emf.ecore.EAttribute getEncryptionInfo_Algorithm()

  Specified by:
    `getEncryptionInfo_Algorithm` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Algorithm'.
  See Also:
    `EncryptionInfo.getAlgorithm()`, `SybaseasabasesqlmodelPackage.getEncryptionInfo()`

### getSybaseASABaseUserDefinedType

    public org.eclipse.emf.ecore.EClass getSybaseASABaseUserDefinedType()

  Specified by:
    `getSybaseASABaseUserDefinedType` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase ASA Base User Defined Type'.
  See Also:
    `SybaseASABaseUserDefinedType`

### getSybaseASABaseUserDefinedType_Nullable

    public org.eclipse.emf.ecore.EAttribute getSybaseASABaseUserDefinedType_Nullable()

  Specified by:
    `getSybaseASABaseUserDefinedType_Nullable` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Nullable'.
  See Also:
    `SybaseASABaseUserDefinedType.getNullable()`, `SybaseasabasesqlmodelPackage.getSybaseASABaseUserDefinedType()`

### getSybaseASABaseUserDefinedType_DefaultType

    public org.eclipse.emf.ecore.EAttribute getSybaseASABaseUserDefinedType_DefaultType()

  Specified by:
    `getSybaseASABaseUserDefinedType_DefaultType` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Default Type'.
  See Also:
    `SybaseASABaseUserDefinedType.getDefaultType()`, `SybaseasabasesqlmodelPackage.getSybaseASABaseUserDefinedType()`

### getSybaseASABasePredefinedDataType

    public org.eclipse.emf.ecore.EClass getSybaseASABasePredefinedDataType()

  Specified by:
    `getSybaseASABasePredefinedDataType` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase ASA Base Predefined Data Type'.
  See Also:
    `SybaseASABasePredefinedDataType`

### getSybaseASABasePredefinedDataType_Database

    public org.eclipse.emf.ecore.EReference getSybaseASABasePredefinedDataType_Database()

  Specified by:
    `getSybaseASABasePredefinedDataType_Database` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the reference 'Database'.
  See Also:
    `SybaseASABasePredefinedDataType.getDatabase()`, `SybaseasabasesqlmodelPackage.getSybaseASABasePredefinedDataType()`

### getSybaseASABaseTable

    public org.eclipse.emf.ecore.EClass getSybaseASABaseTable()

  Specified by:
    `getSybaseASABaseTable` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase ASA Base Table'.
  See Also:
    `SybaseASABaseTable`

### getSybaseASABaseTable_DbSpace

    public org.eclipse.emf.ecore.EReference getSybaseASABaseTable_DbSpace()

  Specified by:
    `getSybaseASABaseTable_DbSpace` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the reference 'Db Space'.
  See Also:
    `SybaseASABaseTable.getDbSpace()`, `SybaseasabasesqlmodelPackage.getSybaseASABaseTable()`

### getSybaseASABaseColumn

    public org.eclipse.emf.ecore.EClass getSybaseASABaseColumn()

  Specified by:
    `getSybaseASABaseColumn` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase ASA Base Column'.
  See Also:
    `SybaseASABaseColumn`

### getSybaseASABaseColumn_ColumnConstraint

    public org.eclipse.emf.ecore.EReference getSybaseASABaseColumn_ColumnConstraint()

  Specified by:
    `getSybaseASABaseColumn_ColumnConstraint` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the reference list 'Column Constraint'.
  See Also:
    `SybaseASABaseColumn.getColumnConstraint()`, `SybaseasabasesqlmodelPackage.getSybaseASABaseColumn()`

### getSybaseASABaseColumn_TypeOfDefault

    public org.eclipse.emf.ecore.EAttribute getSybaseASABaseColumn_TypeOfDefault()

  Specified by:
    `getSybaseASABaseColumn_TypeOfDefault` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Type Of Default'.
  See Also:
    `SybaseASABaseColumn.getTypeOfDefault()`, `SybaseasabasesqlmodelPackage.getSybaseASABaseColumn()`

### getSybaseASABaseColumn_Unique

    public org.eclipse.emf.ecore.EAttribute getSybaseASABaseColumn_Unique()

  Specified by:
    `getSybaseASABaseColumn_Unique` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Unique'.
  See Also:
    `SybaseASABaseColumn.isUnique()`, `SybaseasabasesqlmodelPackage.getSybaseASABaseColumn()`

### getSybaseASABaseColumn_IsComputedColumn

    public org.eclipse.emf.ecore.EAttribute getSybaseASABaseColumn_IsComputedColumn()

  Specified by:
    `getSybaseASABaseColumn_IsComputedColumn` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Is Computed Column'.
  See Also:
    `SybaseASABaseColumn.isIsComputedColumn()`, `SybaseasabasesqlmodelPackage.getSybaseASABaseColumn()`

### getSybaseASABaseUniqueConstraint

    public org.eclipse.emf.ecore.EClass getSybaseASABaseUniqueConstraint()

  Specified by:
    `getSybaseASABaseUniqueConstraint` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase ASA Base Unique Constraint'.
  See Also:
    `SybaseASABaseUniqueConstraint`

### getSybaseASABaseUniqueConstraint_Clustered

    public org.eclipse.emf.ecore.EAttribute getSybaseASABaseUniqueConstraint_Clustered()

  Specified by:
    `getSybaseASABaseUniqueConstraint_Clustered` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Clustered'.
  See Also:
    `SybaseASABaseUniqueConstraint.isClustered()`, `SybaseasabasesqlmodelPackage.getSybaseASABaseUniqueConstraint()`

### getSybaseASABaseUniqueConstraint_SystemGenIndex

    public org.eclipse.emf.ecore.EReference getSybaseASABaseUniqueConstraint_SystemGenIndex()

  Specified by:
    `getSybaseASABaseUniqueConstraint_SystemGenIndex` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the reference 'System Gen Index'.
  See Also:
    `SybaseASABaseUniqueConstraint.getSystemGenIndex()`, `SybaseasabasesqlmodelPackage.getSybaseASABaseUniqueConstraint()`

### getSybaseASABasePrimaryKey

    public org.eclipse.emf.ecore.EClass getSybaseASABasePrimaryKey()

  Specified by:
    `getSybaseASABasePrimaryKey` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase ASA Base Primary Key'.
  See Also:
    `SybaseASABasePrimaryKey`

### getSybaseASABaseForeignKey

    public org.eclipse.emf.ecore.EClass getSybaseASABaseForeignKey()

  Specified by:
    `getSybaseASABaseForeignKey` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase ASA Base Foreign Key'.
  See Also:
    `SybaseASABaseForeignKey`

### getSybaseASABaseForeignKey_RoleName

    public org.eclipse.emf.ecore.EAttribute getSybaseASABaseForeignKey_RoleName()

  Specified by:
    `getSybaseASABaseForeignKey_RoleName` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Role Name'.
  See Also:
    `SybaseASABaseForeignKey.getRoleName()`, `SybaseasabasesqlmodelPackage.getSybaseASABaseForeignKey()`

### getSybaseASABaseForeignKey_Clustered

    public org.eclipse.emf.ecore.EAttribute getSybaseASABaseForeignKey_Clustered()

  Specified by:
    `getSybaseASABaseForeignKey_Clustered` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Clustered'.
  See Also:
    `SybaseASABaseForeignKey.isClustered()`, `SybaseasabasesqlmodelPackage.getSybaseASABaseForeignKey()`

### getSybaseASABaseIndex

    public org.eclipse.emf.ecore.EClass getSybaseASABaseIndex()

  Specified by:
    `getSybaseASABaseIndex` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase ASA Base Index'.
  See Also:
    `SybaseASABaseIndex`

### getSybaseASABaseIndex_DbSpace

    public org.eclipse.emf.ecore.EReference getSybaseASABaseIndex_DbSpace()

  Specified by:
    `getSybaseASABaseIndex_DbSpace` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the reference 'Db Space'.
  See Also:
    `SybaseASABaseIndex.getDbSpace()`, `SybaseasabasesqlmodelPackage.getSybaseASABaseIndex()`

### getSybaseASABaseDBSpace

    public org.eclipse.emf.ecore.EClass getSybaseASABaseDBSpace()

  Specified by:
    `getSybaseASABaseDBSpace` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase ASA Base DB Space'.
  See Also:
    `SybaseASABaseDBSpace`

### getSybaseASABaseDBSpace_FileName

    public org.eclipse.emf.ecore.EAttribute getSybaseASABaseDBSpace_FileName()

  Specified by:
    `getSybaseASABaseDBSpace_FileName` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'File Name'.
  See Also:
    `SybaseASABaseDBSpace.getFileName()`, `SybaseasabasesqlmodelPackage.getSybaseASABaseDBSpace()`

### getSybaseASABaseDBSpace_Database

    public org.eclipse.emf.ecore.EReference getSybaseASABaseDBSpace_Database()

  Specified by:
    `getSybaseASABaseDBSpace_Database` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the container reference 'Database'.
  See Also:
    `SybaseASABaseDBSpace.getDatabase()`, `SybaseasabasesqlmodelPackage.getSybaseASABaseDBSpace()`

### getSybaseASABaseViewTable

    public org.eclipse.emf.ecore.EClass getSybaseASABaseViewTable()

  Specified by:
    `getSybaseASABaseViewTable` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase ASA Base View Table'.
  See Also:
    `SybaseASABaseViewTable`

### getSybaseASABaseViewTable_WithCheckOption

    public org.eclipse.emf.ecore.EAttribute getSybaseASABaseViewTable_WithCheckOption()

  Specified by:
    `getSybaseASABaseViewTable_WithCheckOption` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'With Check Option'.
  See Also:
    `SybaseASABaseViewTable.isWithCheckOption()`, `SybaseasabasesqlmodelPackage.getSybaseASABaseViewTable()`

### getSybaseASABaseViewTable_Statement

    public org.eclipse.emf.ecore.EReference getSybaseASABaseViewTable_Statement()

  Specified by:
    `getSybaseASABaseViewTable_Statement` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the reference 'Statement'.
  See Also:
    `SybaseASABaseViewTable.getStatement()`, `SybaseasabasesqlmodelPackage.getSybaseASABaseViewTable()`

### getSybaseASABaseFunction

    public org.eclipse.emf.ecore.EClass getSybaseASABaseFunction()

  Specified by:
    `getSybaseASABaseFunction` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase ASA Base Function'.
  See Also:
    `SybaseASABaseFunction`

### getSybaseASABaseFunction_OnExceptionResume

    public org.eclipse.emf.ecore.EAttribute getSybaseASABaseFunction_OnExceptionResume()

  Specified by:
    `getSybaseASABaseFunction_OnExceptionResume` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'On Exception Resume'.
  See Also:
    `SybaseASABaseFunction.isOnExceptionResume()`, `SybaseasabasesqlmodelPackage.getSybaseASABaseFunction()`

### getSybaseASABaseProcedure

    public org.eclipse.emf.ecore.EClass getSybaseASABaseProcedure()

  Specified by:
    `getSybaseASABaseProcedure` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase ASA Base Procedure'.
  See Also:
    `SybaseASABaseProcedure`

### getSybaseASABaseProcedure_OnExceptionResume

    public org.eclipse.emf.ecore.EAttribute getSybaseASABaseProcedure_OnExceptionResume()

  Specified by:
    `getSybaseASABaseProcedure_OnExceptionResume` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'On Exception Resume'.
  See Also:
    `SybaseASABaseProcedure.isOnExceptionResume()`, `SybaseasabasesqlmodelPackage.getSybaseASABaseProcedure()`

### getSybaseASABaseTempTable

    public org.eclipse.emf.ecore.EClass getSybaseASABaseTempTable()

  Specified by:
    `getSybaseASABaseTempTable` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase ASA Base Temp Table'.
  See Also:
    `SybaseASABaseTempTable`

### getSybaseASABaseTempTable_TransactionOption

    public org.eclipse.emf.ecore.EAttribute getSybaseASABaseTempTable_TransactionOption()

  Specified by:
    `getSybaseASABaseTempTable_TransactionOption` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Transaction Option'.
  See Also:
    `SybaseASABaseTempTable.getTransactionOption()`, `SybaseasabasesqlmodelPackage.getSybaseASABaseTempTable()`

### getSybaseASABaseTrigger

    public org.eclipse.emf.ecore.EClass getSybaseASABaseTrigger()

  Specified by:
    `getSybaseASABaseTrigger` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase ASA Base Trigger'.
  See Also:
    `SybaseASABaseTrigger`

### getSybaseASABaseTrigger_Order

    public org.eclipse.emf.ecore.EAttribute getSybaseASABaseTrigger_Order()

  Specified by:
    `getSybaseASABaseTrigger_Order` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Order'.
  See Also:
    `SybaseASABaseTrigger.getOrder()`, `SybaseasabasesqlmodelPackage.getSybaseASABaseTrigger()`

### getSybaseASABaseTrigger_SybaseASABaseActionTime

    public org.eclipse.emf.ecore.EAttribute getSybaseASABaseTrigger_SybaseASABaseActionTime()

  Specified by:
    `getSybaseASABaseTrigger_SybaseASABaseActionTime` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Sybase ASA Base Action Time'.
  See Also:
    `SybaseASABaseTrigger.getSybaseASABaseActionTime()`, `SybaseasabasesqlmodelPackage.getSybaseASABaseTrigger()`

### getSybaseASABaseTrigger_RemoteName

    public org.eclipse.emf.ecore.EAttribute getSybaseASABaseTrigger_RemoteName()

  Specified by:
    `getSybaseASABaseTrigger_RemoteName` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Remote Name'.
  See Also:
    `SybaseASABaseTrigger.getRemoteName()`, `SybaseasabasesqlmodelPackage.getSybaseASABaseTrigger()`

### getSybaseASABaseTrigger_UpdateColumnType

    public org.eclipse.emf.ecore.EAttribute getSybaseASABaseTrigger_UpdateColumnType()

  Specified by:
    `getSybaseASABaseTrigger_UpdateColumnType` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Update Column Type'.
  See Also:
    `SybaseASABaseTrigger.isUpdateColumnType()`, `SybaseasabasesqlmodelPackage.getSybaseASABaseTrigger()`

### getSybaseASABaseProxyTable

    public org.eclipse.emf.ecore.EClass getSybaseASABaseProxyTable()

  Specified by:
    `getSybaseASABaseProxyTable` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase ASA Base Proxy Table'.
  See Also:
    `SybaseASABaseProxyTable`

### getSybaseASABaseProxyTable_RemoteObjectLocation

    public org.eclipse.emf.ecore.EAttribute getSybaseASABaseProxyTable_RemoteObjectLocation()

  Specified by:
    `getSybaseASABaseProxyTable_RemoteObjectLocation` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Remote Object Location'.
  See Also:
    `SybaseASABaseProxyTable.getRemoteObjectLocation()`, `SybaseasabasesqlmodelPackage.getSybaseASABaseProxyTable()`

### getSybaseASABaseProxyTable_Existing

    public org.eclipse.emf.ecore.EAttribute getSybaseASABaseProxyTable_Existing()

  Specified by:
    `getSybaseASABaseProxyTable_Existing` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Existing'.
  See Also:
    `SybaseASABaseProxyTable.isExisting()`, `SybaseasabasesqlmodelPackage.getSybaseASABaseProxyTable()`

### getSybaseASABaseColumnCheckConstraint

    public org.eclipse.emf.ecore.EClass getSybaseASABaseColumnCheckConstraint()

  Specified by:
    `getSybaseASABaseColumnCheckConstraint` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase ASA Base Column Check Constraint'.
  See Also:
    `SybaseASABaseColumnCheckConstraint`

### getSybaseASABaseColumnCheckConstraint_Column

    public org.eclipse.emf.ecore.EReference getSybaseASABaseColumnCheckConstraint_Column()

  Specified by:
    `getSybaseASABaseColumnCheckConstraint_Column` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the reference 'Column'.
  See Also:
    `SybaseASABaseColumnCheckConstraint.getColumn()`, `SybaseasabasesqlmodelPackage.getSybaseASABaseColumnCheckConstraint()`

### getSchedule

    public org.eclipse.emf.ecore.EClass getSchedule()

  Specified by:
    `getSchedule` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for class 'Schedule'.
  See Also:
    `Schedule`

### getSchedule_Recurring

    public org.eclipse.emf.ecore.EAttribute getSchedule_Recurring()

  Specified by:
    `getSchedule_Recurring` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Recurring'.
  See Also:
    `Schedule.isRecurring()`, `SybaseasabasesqlmodelPackage.getSchedule()`

### getSchedule_StartTime

    public org.eclipse.emf.ecore.EAttribute getSchedule_StartTime()

  Specified by:
    `getSchedule_StartTime` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Start Time'.
  See Also:
    `Schedule.getStartTime()`, `SybaseasabasesqlmodelPackage.getSchedule()`

### getSchedule_StopTime

    public org.eclipse.emf.ecore.EAttribute getSchedule_StopTime()

  Specified by:
    `getSchedule_StopTime` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Stop Time'.
  See Also:
    `Schedule.getStopTime()`, `SybaseasabasesqlmodelPackage.getSchedule()`

### getSchedule_StartDate

    public org.eclipse.emf.ecore.EAttribute getSchedule_StartDate()

  Specified by:
    `getSchedule_StartDate` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Start Date'.
  See Also:
    `Schedule.getStartDate()`, `SybaseasabasesqlmodelPackage.getSchedule()`

### getSchedule_DaysOfWeek

    public org.eclipse.emf.ecore.EAttribute getSchedule_DaysOfWeek()

  Specified by:
    `getSchedule_DaysOfWeek` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Days Of Week'.
  See Also:
    `Schedule.getDaysOfWeek()`, `SybaseasabasesqlmodelPackage.getSchedule()`

### getSchedule_DaysOfMonth

    public org.eclipse.emf.ecore.EAttribute getSchedule_DaysOfMonth()

  Specified by:
    `getSchedule_DaysOfMonth` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Days Of Month'.
  See Also:
    `Schedule.getDaysOfMonth()`, `SybaseasabasesqlmodelPackage.getSchedule()`

### getSchedule_IntervalUnit

    public org.eclipse.emf.ecore.EAttribute getSchedule_IntervalUnit()

  Specified by:
    `getSchedule_IntervalUnit` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Interval Unit'.
  See Also:
    `Schedule.getIntervalUnit()`, `SybaseasabasesqlmodelPackage.getSchedule()`

### getSchedule_IntervalMount

    public org.eclipse.emf.ecore.EAttribute getSchedule_IntervalMount()

  Specified by:
    `getSchedule_IntervalMount` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Interval Mount'.
  See Also:
    `Schedule.getIntervalMount()`, `SybaseasabasesqlmodelPackage.getSchedule()`

### getSchedule_Event

    public org.eclipse.emf.ecore.EReference getSchedule_Event()

  Specified by:
    `getSchedule_Event` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the container reference 'Event'.
  See Also:
    `Schedule.getEvent()`, `SybaseasabasesqlmodelPackage.getSchedule()`

### getSybaseASABaseRemoteProcedure

    public org.eclipse.emf.ecore.EClass getSybaseASABaseRemoteProcedure()

  Specified by:
    `getSybaseASABaseRemoteProcedure` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase ASA Base Remote Procedure'.
  See Also:
    `SybaseASABaseRemoteProcedure`

### getSybaseASABaseRemoteProcedure_Location

    public org.eclipse.emf.ecore.EAttribute getSybaseASABaseRemoteProcedure_Location()

  Specified by:
    `getSybaseASABaseRemoteProcedure_Location` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Location'.
  See Also:
    `SybaseASABaseRemoteProcedure.getLocation()`, `SybaseasabasesqlmodelPackage.getSybaseASABaseRemoteProcedure()`

### getSybaseASABaseParameter

    public org.eclipse.emf.ecore.EClass getSybaseASABaseParameter()

  Specified by:
    `getSybaseASABaseParameter` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase ASA Base Parameter'.
  See Also:
    `SybaseASABaseParameter`

### getSybaseASABaseParameter_ParmType

    public org.eclipse.emf.ecore.EAttribute getSybaseASABaseParameter_ParmType()

  Specified by:
    `getSybaseASABaseParameter_ParmType` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Parm Type'.
  See Also:
    `SybaseASABaseParameter.getParmType()`, `SybaseasabasesqlmodelPackage.getSybaseASABaseParameter()`

### getSybaseASABaseGroup

    public org.eclipse.emf.ecore.EClass getSybaseASABaseGroup()

  Specified by:
    `getSybaseASABaseGroup` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase ASA Base Group'.
  See Also:
    `SybaseASABaseGroup`

### getSybaseASABaseSchema

    public org.eclipse.emf.ecore.EClass getSybaseASABaseSchema()

  Specified by:
    `getSybaseASABaseSchema` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase ASA Base Schema'.
  See Also:
    `SybaseASABaseSchema`

### getSybaseASABaseUser

    public org.eclipse.emf.ecore.EClass getSybaseASABaseUser()

  Specified by:
    `getSybaseASABaseUser` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase ASA Base User'.
  See Also:
    `SybaseASABaseUser`

### getSybaseASADefaultWrapper

    public org.eclipse.emf.ecore.EClass getSybaseASADefaultWrapper()

  Specified by:
    `getSybaseASADefaultWrapper` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for class 'Sybase ASA Default Wrapper'.
  See Also:
    `SybaseASADefaultWrapper`

### getSybaseASADefaultWrapper_Value

    public org.eclipse.emf.ecore.EAttribute getSybaseASADefaultWrapper_Value()

  Specified by:
    `getSybaseASADefaultWrapper_Value` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `SybaseASADefaultWrapper.getValue()`, `SybaseasabasesqlmodelPackage.getSybaseASADefaultWrapper()`

### getSybaseASADefaultWrapper_IsLiteral

    public org.eclipse.emf.ecore.EAttribute getSybaseASADefaultWrapper_IsLiteral()

  Specified by:
    `getSybaseASADefaultWrapper_IsLiteral` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Is Literal'.
  See Also:
    `SybaseASADefaultWrapper.isIsLiteral()`, `SybaseasabasesqlmodelPackage.getSybaseASADefaultWrapper()`

### getSybaseASADefaultWrapper_PartitionSize

    public org.eclipse.emf.ecore.EAttribute getSybaseASADefaultWrapper_PartitionSize()

  Specified by:
    `getSybaseASADefaultWrapper_PartitionSize` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Partition Size'.
  See Also:
    `SybaseASADefaultWrapper.getPartitionSize()`, `SybaseasabasesqlmodelPackage.getSybaseASADefaultWrapper()`

### getSybaseASADefaultWrapper_Type

    public org.eclipse.emf.ecore.EAttribute getSybaseASADefaultWrapper_Type()

  Specified by:
    `getSybaseASADefaultWrapper_Type` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Type'.
  See Also:
    `SybaseASADefaultWrapper.getType()`, `SybaseasabasesqlmodelPackage.getSybaseASADefaultWrapper()`

### getEventCondition

    public org.eclipse.emf.ecore.EClass getEventCondition()

  Specified by:
    `getEventCondition` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for class 'Event Condition'.
  See Also:
    `EventCondition`

### getEventCondition_Operator

    public org.eclipse.emf.ecore.EAttribute getEventCondition_Operator()

  Specified by:
    `getEventCondition_Operator` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Operator'.
  See Also:
    `EventCondition.getOperator()`, `SybaseasabasesqlmodelPackage.getEventCondition()`

### getEventCondition_Value

    public org.eclipse.emf.ecore.EAttribute getEventCondition_Value()

  Specified by:
    `getEventCondition_Value` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the attribute 'Value'.
  See Also:
    `EventCondition.getValue()`, `SybaseasabasesqlmodelPackage.getEventCondition()`

### getEventCondition_Event

    public org.eclipse.emf.ecore.EReference getEventCondition_Event()

  Specified by:
    `getEventCondition_Event` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for the container reference 'Event'.
  See Also:
    `EventCondition.getEvent()`, `SybaseasabasesqlmodelPackage.getEventCondition()`

### getTransactionOption

    public org.eclipse.emf.ecore.EEnum getTransactionOption()

  Specified by:
    `getTransactionOption` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for enum 'Transaction Option'.
  See Also:
    `TransactionOption`

### getTypeOfDefault

    public org.eclipse.emf.ecore.EEnum getTypeOfDefault()

  Specified by:
    `getTypeOfDefault` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for enum 'Type Of Default'.
  See Also:
    `TypeOfDefault`

### getSybaseASABaseActionTime

    public org.eclipse.emf.ecore.EEnum getSybaseASABaseActionTime()

  Specified by:
    `getSybaseASABaseActionTime` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for enum 'Sybase ASA Base Action Time'.
  See Also:
    `SybaseASABaseActionTime`

### getEventType

    public org.eclipse.emf.ecore.EEnum getEventType()

  Specified by:
    `getEventType` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for enum 'Event Type'.
  See Also:
    `EventType`

### getJavaSupportType

    public org.eclipse.emf.ecore.EEnum getJavaSupportType()

  Specified by:
    `getJavaSupportType` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for enum 'Java Support Type'.
  See Also:
    `JavaSupportType`

### getEventLocationType

    public org.eclipse.emf.ecore.EEnum getEventLocationType()

  Specified by:
    `getEventLocationType` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for enum 'Event Location Type'.
  See Also:
    `EventLocationType`

### getIntervalUnitType

    public org.eclipse.emf.ecore.EEnum getIntervalUnitType()

  Specified by:
    `getIntervalUnitType` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for enum 'Interval Unit Type'.
  See Also:
    `IntervalUnitType`

### getSystemDefinedDefaultType

    public org.eclipse.emf.ecore.EEnum getSystemDefinedDefaultType()

  Specified by:
    `getSystemDefinedDefaultType` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for enum 'System Defined Default Type'.
  See Also:
    `SystemDefinedDefaultType`

### getAllowNullType

    public org.eclipse.emf.ecore.EEnum getAllowNullType()

  Specified by:
    `getAllowNullType` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for enum 'Allow Null Type'.
  See Also:
    `AllowNullType`

### getParameterType

    public org.eclipse.emf.ecore.EEnum getParameterType()

  Specified by:
    `getParameterType` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the meta object for enum 'Parameter Type'.
  See Also:
    `ParameterType`

### getSybaseasabasesqlmodelFactory

    public SybaseasabasesqlmodelFactory getSybaseasabasesqlmodelFactory()

  Specified by:
    `getSybaseasabasesqlmodelFactory` in interface `SybaseasabasesqlmodelPackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.